### Struct

# Mtk RegionIterator

#### Description [src]

    struct MtkRegionIterator {
      MtkRegion* region;
      MtkRectangle rectangle;
      gboolean line_start;
      gboolean line_end;
      int i;
    }

MtkRegion is a yx banded region; sometimes its useful to iterate through such a region treating the start and end of each horizontal band in a distinct fashion.

Usage:

     MtkRegionIterator iter;
     for (mtk_region_iterator_init (&iter, region);
          !mtk_region_iterator_at_end (&iter);
          mtk_region_iterator_next (&iter))
     {
       [ Use iter.rectangle, iter.line_start, iter.line_end ]
     }

###### Structure members

`region:` `MtkRegion`

  Region being iterated.

`rectangle:` `MtkRectangle`

  Current rectangle.

`line_start:` `gboolean`

  Whether the current rectangle starts a horizontal band.

`line_end:` `gboolean`

  Whether the current rectangle ends a horizontal band.

`i:` `int`

  No description available.

#### Instance methods

###### mtk_region_iterator_at_end

No description available.

###### mtk_region_iterator_init

No description available.

###### mtk_region_iterator_next

No description available.